org.jboss.logging.processor.model

## Class ReturnType.VoidReturnType

- java.lang.Object
- - org.jboss.logging.processor.model.ReturnType.VoidReturnType

All Implemented Interfaces:
  MessageObject, MessageObjectType, ReturnType

Enclosing interface:
  ReturnType

    public static final class ReturnType.VoidReturnType
    extends Object
    implements ReturnType

Default type if the return type is void.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.logging.processor.model.ReturnType

`ReturnType.VoidReturnType`

### Field Summary

### Fields inherited from interface org.jboss.logging.processor.model.ReturnType

`VOID`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`boolean` `hasFieldFor(Parameter parameter)` Checks to see if the return type has a field with the name with the same name and type as the `parameter`.
`int` `hashCode()`
`boolean` `hasMethodFor(Parameter parameter)` Checks to see if the return type has a method with the name with the same name and parameter type as the `parameter`.
`boolean` `isAssignableFrom(Class<?> type)` Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter.
`boolean` `isPrimitive()` Indicates whether or not the return type is a primitive.
`boolean` `isSameAs(Class<?> type)` Determines if this type is the same type as the class represented by the `type` parameter.
`boolean` `isSubtypeOf(Class<?> type)` Determines if this type is a subtype of the class represented by the `type` parameter.
`boolean` `isThrowable()` Checks to see if the return type is an exception, extends Throwable.
`String` `name()` Returns the qualified class name of the return type.
`Class<Void>` `reference()` The object used to extract information for the message logger or message bundle, if applicable.
`ThrowableType` `throwableReturnType()` Returns the exception return type if `ReturnType.isThrowable()` returns `true`.
`String` `toString()`
`String` `type()` Returns the qualified type name of the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### hasFieldFor

    public boolean hasFieldFor(Parameter parameter)

Description copied from interface: `ReturnType`
Checks to see if the return type has a field with the name with the same name and type as the `parameter`.

Specified by:
  `hasFieldFor` in interface `ReturnType`
Parameters:
  `parameter` - the parameter to check.
Returns:
  `true` if the field exists, is accessible, mutable and is assignable from the type otherwise `false`.

#### hasMethodFor

    public boolean hasMethodFor(Parameter parameter)

Description copied from interface: `ReturnType`
Checks to see if the return type has a method with the name with the same name and parameter type as the `parameter`.

Specified by:
  `hasMethodFor` in interface `ReturnType`
Parameters:
  `parameter` - the parameter to check.
Returns:
  `true` if the method exists, is accessible and its parameter is assignable from the type, otherwise `false`.

#### isThrowable

    public boolean isThrowable()

Description copied from interface: `ReturnType`
Checks to see if the return type is an exception, extends Throwable.

Specified by:
  `isThrowable` in interface `ReturnType`
Returns:
  `true` if the return type is an exception, otherwise `false`.

#### isPrimitive

    public boolean isPrimitive()

Description copied from interface: `ReturnType`
Indicates whether or not the return type is a primitive.

Specified by:
  `isPrimitive` in interface `ReturnType`
Returns:
  `true` if a primitive, otherwise `false`.

#### name

    public String name()

Description copied from interface: `ReturnType`
Returns the qualified class name of the return type.

Specified by:
  `name` in interface `MessageObject`
Specified by:
  `name` in interface `ReturnType`
Returns:
  the qualified class name fo the return type.

#### throwableReturnType

    public ThrowableType throwableReturnType()

Description copied from interface: `ReturnType`
Returns the exception return type if `ReturnType.isThrowable()` returns `true`. Otherwise `null` is returned.

Specified by:
  `throwableReturnType` in interface `ReturnType`
Returns:
  an exception return type, otherwise `null`.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### reference

    public Class<Void> reference()

Description copied from interface: `MessageObject`
The object used to extract information for the message logger or message bundle, if applicable. The reference is not used for the implementation and is provided for convenience.

For example, in an annotation processor implementation a `ExecutableElement` might be returned.

Specified by:
  `reference` in interface `MessageObject`
Returns:
  the reference object used to extract information.

#### type

    public String type()

Description copied from interface: `MessageObjectType`
Returns the qualified type name of the object.

Equivalent to `Object.class.getName()`

Specified by:
  `type` in interface `MessageObjectType`
Returns:
  the qualified class name.

#### isAssignableFrom

    public boolean isAssignableFrom(Class<?> type)

Description copied from interface: `MessageObjectType`
Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter. If this type is assignable from the class `true` is returned, otherwise `false`.

Specified by:
  `isAssignableFrom` in interface `MessageObjectType`
Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same as or a superclass of the class, otherwise `false`.

#### isSubtypeOf

    public boolean isSubtypeOf(Class<?> type)

Description copied from interface: `MessageObjectType`
Determines if this type is a subtype of the class represented by the `type` parameter. If this type is a subtype of the class `true` is returned, otherwise `false`.

Specified by:
  `isSubtypeOf` in interface `MessageObjectType`
Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is a subtype of the class, otherwise `false`.

#### isSameAs

    public boolean isSameAs(Class<?> type)

Description copied from interface: `MessageObjectType`
Determines if this type is the same type as the class represented by the `type` parameter. If this type is the same type as the class `true` is returned, otherwise `false`.

Specified by:
  `isSameAs` in interface `MessageObjectType`
Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same type as the class, otherwise `false`.